{% extends "layouts/default.njk" %}

{% block content %}

<button type="button" data-js="modal" style="width:200px;height;50px;line-height:50px;padding:0;;">로그인 모달</button>

{% endblock %}

{% block modal %}

<!-- modal cotnent -->
<!--
<script>
  const testId = document.querySelector('[data-js="modal"]');
  window.onload = () => {
    testId.click();
  }
</script>
-->
<div class="modal__container modal--users">
  <div class="modal__content">
    <h2 class="modal__title">로그인</h2>
    <div class="modal__body">
      <form class="mui-form join-form">
        <div class="mui-textfield">
          <!-- 에러인 경우 input에 mui--is-not-empty mui--is-untouched mui--is-pristine 클래스 추가
          <input type="text" class="mui--is-not-empty mui--is-untouched mui--is-pristine" required>
          -->
          <input type="text">
          <label>아이디</label>
          <!-- 에러인 경우 vaildate--error 클래스 추가-->
          <strong class="vaildate">아이디가 존재하지 않습니다.</strong>
        </div>
        <div class="mui-textfield">
          <input type="password">
          <label>패스워드</label>
        </div>
        <div class="mui-checkbox">
          <label>
            <input type="checkbox" name="loginState">
            로그인 상태를 유지합니다.
          </label>
        </div>
        <div class="login">
          <button type="submit" class="btn btn__primary is-large">로그인</button>
        </div>
      </form>
      <div class="use-account">
        <div class="use-account__center">
          <a href="#" class="btn btn__text">계정을 잊으셨나요?</a>
        </div>
        <div class="use-account__between">
          <a href="#" class="btn btn__text">아이디 찾기</a>
          <a href="#" class="btn btn__text">패스워드 찾기</a>
        </div>
      </div>
      <ul class="sns-list">
        <li class="sns-list__item sns-list--kakao">
          <a href="#"><span><i class="ico ico--kakao"></i> 카카오톡으로 가입</span></a>
        </li>
        <li class="sns-list__item sns-list--naver">
          <a href="#"><span><i class="ico ico--naver"></i> 네이버로 가입</span></a>
        </li>
        <li class="sns-list__item sns-list--facebook">
          <a href="#"><span><i class="ico ico--facebook"></i> 페이스북으로 가입</span></a>
        </li>
        <li class="sns-list__item sns-list--goggle">
          <a href="#"><span><i class="ico ico--goggle"></i> 구글아이디로 가입</span></a>
        </li>
      </ul>
    </div>
    <button type="button" class="modal__close" data-js="modalClose"><span class="sr-only">모달 닫기</span></button>
  </div>
</div>
<!-- //modal content -->

{% endblock %}
